/* Stars -- Displays a Map of the Night Sky
    Copyright (C) September 22, 2002  Walter Brisken

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA*/

#ifndef __PLUGIN_H__
#define __PLUGIN_H__

#include <stdio.h>
#include "viewer.h"

typedef void (*plugindrawfunc)(struct viewer *v, float *data, 
			 int x, int y, int r, int g, int b);

/* scale in pt/radian */

typedef void (*pluginprintfunc)(struct viewer *v, float *data, double scale, 
			  FILE *out);

struct _plugindata
{
        gchar *name;
        plugindrawfunc drawfunc;
        pluginprintfunc printfunc;
};

typedef struct _plugindata plugindata;

/* Private */

void linkplugin(const char *name, plugindrawfunc drawfunc, 
		pluginprintfunc printfunc);

/* Public */

plugindata *getplugindata(const char *name);

void initplugins();

#endif
